<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title> sch-rnd - Tutorial </title>
	<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
<!--AUTO head begin-->
	<link rel="icon" href="../resources/logo16.png">
<!--AUTO head end-->
</head>
<body>

<!--AUTO navbar begin-->
<table border=0 cellspacing=2 cellpadding=10  bgcolor="#eeeeee" width="100%">
<tr>
<th align=center bgcolor="#ccc0cc"> <a href="../index.html"> Main </a>
<th align=center bgcolor="#ccc0cc"> <a href="../doc.html">Doc</a>&nbsp;&amp;&nbsp; <a href="http://repo.hu/cgi-bin/pool.cgi?project=sch-rnd-aux"> Knowledge pool </a> &nbsp;&amp;&nbsp; <a href="../tutorial"> Tutorial </a>
<th align=center bgcolor="#ccc0cc"> <a href="../state.html"> Current state </a>
<th align=center bgcolor="#ccc0cc"> <a href="http://repo.hu/cgi-bin/pcb-rnd-people.cgi?cmd=events">Events</a>&nbsp;&amp;&nbsp;<a href="http://www.repo.hu/cgi-bin/pcb-rnd-people.cgi?cmd=timeline">timeline</a>
<td align=right width="60%"> <font size="+2"><i>sch-rnd</i></font> <img src="../resources/logo32.png" alt="[sch-rnd logo]">
</table>
<!--AUTO navbar end-->

<H1> sch-rnd tutorial </H1>
<p>
The official sch-rnd video tutorial consists of three chapters:
<ul>
	<li> a longer "getting started" episode which serves as the backbone
	<li> a series of short episodes that assume the base episodes and previos eposides has been watched
	<li> a collection of independent episodes, each demonstrating a set of features, assuming only chapter 1 and 2 are watched
</ul>
<p>
After watching all episodes of chapter 1, you will be able to use sch-rnd on
beginner level, for drawing simple circuits for the PCB workflow. After
watching chapter 2 you will be able to use sch-rnd in intermediate level,
much more efficiently, for more complex designs for the PCB workflow. Advanced
topics and non-PCB workflows are covered in chapter 3, which should be watched
selectively, on a per topic basis.

<H2> Chapter 1: getting started </H2>
<p>
(18 minutes)
<p>
<a href="https://archive.org/details/sch-rnd-getting-started"> Blinking LED board </a> (also on <a href="https://youtu.be/9ngYy8KaBaA">youtube</a>)
<p>
Topics covered:
<ul>
	<li> symbol placement,
	<li> wiring,
	<li> attributes,
	<li> devmaps for pinout,
	<li> export netlist,
	<li> export to postscript and png.
</ul>

<H2> Chapter 2: using sch-rnd </H2>
<p>
(1..5 minutes each)
<p>
<ol>
	<li> <a href="https://archive.org/details/sch-rnd-tut-crosshair"> using the crosshair </a> to line things up (also on <a href="https://youtu.be/ciQpS8KL4hY">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-tut-undo-redo"> using undo and redo, undo list </a> (also on <a href="https://youtu.be/pWLsYQiGMoA">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-tut-select"> Selections & layers </a> (also on <a href="https://www.youtube.com/watch?v=vQI7ZHtRQuU">youtube</a>)
	<li> Operations on <a href="https://archive.org/details/sch-rnd-tut-object-vs-selection"> objects vs. selection </a> (also on <a href="https://youtu.be/Ia95t2QZhvM">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-tut-paste-buffers"> Paste buffers </a> (also on <a href=" https://youtu.be/UNAnPTXDHDI">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-sheet_decor"> Sheet decorations </a> <!--(also on <a href=" https://youtu.be/UNAnPTXDHDI">youtube</a>)-->
	<li> Text
		<ul>
			<li> <a href="https://archive.org/details/sch-rnd-tut-text"> Text objects </a>  (also on <a href="https://youtu.be/9SqqBUylkj8"> youtube</a>)
			<li> <a href="https://archive.org/details/sch-rnd-tut-dyntext"> Dyntext </a> for printing attribute values (also on <a href="https://youtu.be/CX5jNuPuvOk"> youtube</a>)
			<li> <a href="https://archive.org/details/sch-rnd-tut-text-alignment"> Text alignment </a>  (also on <a href="https://youtu.be/7_bwlOAIIoU"> youtube</a>)
		</ul>
	<li> <a href="https://archive.org/details/sch-rnd-tut-custom-groups"> Custom groups </a> (also on <a href="https://youtu.be/ybY5SJ_k5ng">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-tut-polygon-conversion"> Drawing polygons: </a> polygon conversion from objects (also on <a href="https://youtu.be/Vqj2u9ig0Ak">youtube</a>)
	<li> Networks, wiring
		<ul>
			<li> <a href="https://archive.org/details/sch-rnd-tut-creating-networks"> creating a network 6 different ways </a>  (also on <a href="https://youtu.be/JeGvCvRxg0g">youtube</a>)
		</ul>
	<li> Handling pinouts with generic symbols (the "transistor problem")
		<ul>
			<li> <a href="https://archive.org/details/sch-rnd-tut-devmap"> creating a devmap </a> (also on <a href="https://www.youtube.com/watch?v=pk001BZidgc">youtube</a>)
			<li> <a href="https://archive.org/details/sch-rnd-tut-portmap"> creating a portmap </a> (also on <a href="https://www.youtube.com/watch?v=hFclhK5sfPw">youtube</a>)
			<li> <a href="https://archive.org/details/sch-rnd-tut-heavy-symbol"> creating a heavy symbol </a> (pin numbers hardwired; also on <a href="https://www.youtube.com/watch?v=y7nkOEZ7le0">youtube</a>)
		</ul>
	<li> Editing metadata
		<ul>
			<li> <a href="https://archive.org/details/sch-rnd-tut-propedit_multi"> Using propedit to mass-modify multiple objects </a> (also on <a href="https://youtu.be/UzMk2flpb2s">youtube</a>)
			<li> <a href="https://archive.org/details/sch-rnd-tut-property_editor"> The property editor</a> (also on <a href="https://youtu.be/_ZZAMsPp2kw">youtube</a>)
			<li> <a href="https://archive.org/details/attr_edit1"> The attribute editor: basics, scalar attributes </a> (also on <a href="https://www.youtube.com/watch?v=gN4G5tedJO8">youtube</a>)
			<li> <a href="https://archive.org/details/sch-rnd-tut-array-attributes"> The attribute editor: array attributes </a> (also on <a href="https://www.youtube.com/watch?v=ABgYFNpg4-o">youtube</a>)
			<li> <a href="https://archive.org/details/sch-rnd-tut-tree-view"> Tree view: concrete model browser </a> (also on <a href="https://youtu.be/mJZCle7M7n8">youtube</a>)
			<li> <a href="https://archive.org/details/sch-rnd-tut-abstract-model-nav"> Abstract model navigation </a> (also on <a href="https://youtu.be/O9W72eHnd64">youtube</a>)
		</ul>
	<li> <a href="https://archive.org/details/sch-rnd-tut-pens"> Pens (color & font) </a> (also on <a href="https://youtu.be/uW6Hmf4o4T4">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-tut-create-symbol"> Creating new symbols (GUI) </a> (also on <a href="https://youtu.be/Iw5M4HKvVAI">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-tut-sym-term"> Creating symbol terminals (GUI) </a> (also on <a href="https://youtu.be/KaEr3Jx7bWw">youtube</a>)
	<li> Exporting data
		<ul>
			<li> <a href="https://archive.org/details/sch-rnd-tut-export-sheet"> Export to ps/png: sheet </a> (also on <a href="https://youtu.be/WgqECGof5w8">youtube</a>)
			<li> <a href="https://archive.org/details/sch-rnd-tut-export-project"> Export to ps/png: project </a> (also on <a href="https://youtu.be/I1Mgf-qeMNQ">youtube</a>)
		</ul>
	<li> Multisheet projects
		<ul>
			<li> <a href="https://archive.org/details/sch-rnd-tut-implicit_projects"> Implicit projects </a> (flat multisheet with no project file) (also on <a href="https://youtu.be/iAGx9Up_hXg">youtube</a>)
			<li> <a href="https://archive.org/details/sch_rnd_tut_explicit_projects"> Explicit projects </a> (flat multisheet with no project file) (also on <a href="https://youtu.be/kRuHEbxXETY">youtube</a>)
		</ul>

</ol>

<H2> Chapter 3: advanced topics </H2>
<p>
<ul>
	<li> Preferences dialog
	<ul>
		<li> <a href="https://archive.org/details/sch-rnd-tut-preferences-1"> app-specific tabs </a>  (also on <a href="https://youtu.be/4YjXGM6MdzA">youtube</a>)
		<li> <a href="https://archive.org/details/sch-rnd-tut-preferences-2"> config tree tab </a>  (also on <a href="https://youtu.be/ynbS02uW5EY">youtube</a>)
	</ul>
	<li> <a href="https://archive.org/details/sch-rnd-tut-attribute-override"> attribute override </a> using priorities (also on <a href="https://youtu.be/UbcQqEIMaqY">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-tut-multipin-portmaps"> multi-pin portmaps: </a> when a single terminal is multiple physical pins, e.g. single MOSFET in 8 pin package (also on <a href="https://youtu.be/3opDCJFNDfo">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-tut-back-annotation"> back annotation from pcb-rnd  </a> (also on <a href="https://youtu.be/mOs219id1Fg">youtube</a>)
	<li> <a href="https://archive.org/details/sch-rnd-tut-effective-attribute-editing"> effective attribute editing </a>: mass-propedit and auto renumber (also on <a href="https://youtu.be/auG9ifB-fB8">youtube</a>)
	<li> sheet-local libs
	<ul>
		<li> <a href="https://archive.org/details/sch-rnd-tut-sheet-local-lib"> local (symbol) library </a> (also on <a href="https://youtu.be/DC8rrVyhSVI">youtube</a>)
		<li> <a href="https://archive.org/details/sch-rnd-tut-devmap-local-library"> Devmap local library </a> (also on <a href="https://youtu.be/gtyPxZFkHK0">youtube</a>)
	</ul>
</ul>

<H2> Chapter 4: Multipart, written tutorials </H2>
<p>
<ul>
	<li> <a href="simulation/">Circuit simulation</a> (SPICE)
</ul>

</body>
</html>
